# taskworkshop-logger-exampleApp-objc

Example iOS application reporting exceptions and logs to [TaskWorkshop](https://taskworkshop.com) exceptions tracking system.

## How to get started

To make this exampleApp work go to https://taskworkshop.com, choose your project and enable exceptions tracking system.
It will generate your new API key for selected project.
Put that key instead of `[API_key]` in your app delegate's `application:didFinishLaunchingWithOptions:` method:

```objective-c
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    [TaskWorkshopLogger startSessionWithKey:@"[API_key]"];
    // [...]
    return YES;
}
```

## Issues and questions

Have a bug? Please create an issue on GitHub!

https://github.com/TaskWorkshop/taskworkshop-logger-exampleApp-objc/issues

## Contributing

taskworkshop-logger-exampleApp-objc is an open source software and your contribution is very much appreciated.

1. Check for [open issues](https://github.com/TaskWorkshop/taskworkshop-logger-exampleApp-objc/issues) or [open a fresh issue](https://github.com/TaskWorkshop/taskworkshop-logger-exampleApp-objc/issues/new) to start a discussion around a feature idea or a bug.
2. Fork the [repository on Github](https://github.com/TaskWorkshop/taskworkshop-logger-exampleApp-objc) and make your changes.
3. Make sure to add yourself to AUTHORS and send a pull request.

## License

taskworkshop-logger-exampleApp-objc is available under the GPL version 2 license. See [LICENSE](https://github.com/TaskWorkshop/taskworkshop-logger-exampleApp-objc/blob/master/LICENSE) file. License is available at http://www.gnu.org/licenses/gpl-2.0.txt